Skip to content

Poll the Telegram integration setup state by setup code.

GET
/integration/telegram/get_setup_state
curl --request GET \
--url 'https://api.siteqwality.com/integration/telegram/get_setup_state?setup_state_code=example' \
--header 'Authorization: Bearer <token>'
setup_state_code
required
string

One-time setup code from /integration/telegram/start

Setup state

Media type application/json
object
id
required
string format: uuid
created_at
required
string format: date-time
account_id
required
string format: uuid
setup_code
required
string
chat_id
integer | null format: int64
expires_at
required
string format: date-time
Example generated
{
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"created_at": "2026-04-15T12:00:00Z",
"account_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"setup_code": "example",
"chat_id": 1,
"expires_at": "2026-04-15T12:00:00Z"
}

Missing setup_state_code

Missing or invalid authentication

Setup state not found

Internal server error